/*
  Devil-Elec
  Programmed and tested with: Arduino IDE 1.8.13
  02.03.2021
*/

#include <NanoEveryPin.h>

OutputPin<13> pin;

void setup(void)
{
  /*
      *** verfügbare Methoden ***
      init();
      enableSlewRate();   // gilt für den gesamten Port
      disableSlewRate();  // gilt für den gesamten Port
      enableInvertIO();
      disableInvertIO();
      setOn();
      setOff();
      toggle();
      set(1);
      set(0);
      
      if ( .isOn() )
      {
        // ... mach hier sinnvolles
      }
  */  

  pin.init();
}

void loop()
{
  heartbeat(1000);
}

void heartbeat (const unsigned long interval)                     
{
  static unsigned long lastMillis {0};
      
  if (millis() - lastMillis >= interval) {
    lastMillis += interval;
    pin.toggle();
  }
}
